<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');

//-----Подключаем вверх-----//
$id = ($_GET['id']);
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
$title='Арбитраж '.$ank['login'].'';
require_once ('../system/header.php');

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/profile/'.$ank['login'].'">Анкета '.$ank['login'].'</a> | Арбитраж</div>';

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['msg']);
$otzv = abs(intval($_POST['otzv']));

$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b>Вы не выбрали файл!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/arb/".$files.""); 
if($user['id'] == $ank['id']) {
echo err('Вы не можете изменять себе репутацию!');
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_array(mysql_query('select * from `arb` where `kto` = "'.$user['id'].'" and `text` = "'.$text.'"'));
if($sql != 0) {
echo err('Ошибка!');
require_once ('../system/footer.php'); exit;
}


$tim = mysql_query("SELECT * FROM `arb` WHERE `komy` = '".$id."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `otzv`"));
$ncm_timeout = $ncm2['time'];
$vremja = 86400 * $news_antispam['otzv'];
if((time()-$ncm_timeout) < $vremja) {
echo err('Заявку в арбитраж можно писать раз в '.$news_antispam['otzv'].' дня!');
require_once ('../system/footer.php'); exit;
}
}
$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));
if($otzv == '1') {
mysql_query("INSERT INTO `arb` SET `text` = '".$text."', `kto` = '".$user['id']."', `file` = '".$files."', `komy` = '".$id."', `prinyat` = '0', `time` = '".time()."', `otzv` = '".$otzv."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'оставил отзыв в ваш [url=".$HOME."/arb".$ank['id']."]арбитраж[/url] ждите проверку!'");
}
if($otzv == '2') {


mysql_query("INSERT INTO `arb` SET `text` = '".$text."', `kto` = '".$user['id']."', `file` = '".$files."', `komy` = '".$id."', `prinyat` = '0', `time` = '".time()."', `otzv` = '".$otzv."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'оставил притензию в ваш [url=".$HOME."/arb".$ank['id']."]арбитраж[/url] ждите проверку!'");
}
header('Location: '.$HOME.'/arb'.$id.'');
}

if($user['id'] != $ank['id']) {

echo '<div class="podmenu">
<div class="cit">
Примеры отзыва:</br>
<b>1. Здравствуйте уважаемый арбитраж, с данным пользователем провёл удачную сделку. Был выдан кредит на сумму xxруб, возврат получил раньше договоренного срока, с доплатой.
</br>С ув. Гена</br>
2. Здравствуйте уважаемый арбитраж, с данным пользователем провёл удачную сделку. Был куплен домен и скрипт на общую сумму xxруб. Деньги переводил первый я.
</br>С ув. Гена</b> и т.д</br>
Пример претензии:</br>
<b>Здравствуйте уважаемый арбитраж. Договаривались с данным пользователем о продаже его сайта. Был перевод средств (скриншот ниже), после оплаты товарищь стал игнорировать (скрин ниже).
Прошу принять меры / Прошу быть осторожным с данным пользователем
</br>С ув. Гена</br></b>
P.S: Все ваши отзыви и протензии проходять модерацию создателья! Поэтому скриншоты сделок нужны при заявке в арбитраж! Без скриншотов притензии или отзывы не принимаються!
</div>
<form action="" method="post" enctype="multipart/form-data"> 
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}

echo '<textarea name="msg" placeholder="Текст арбитража"></textarea> <br />
<select name="otzv">
<option value="1">отзыв</option>
<option value="2">претензия</option>
</select> <br/ >';
echo '<form action="" name="message" method="POST" enctype="multipart/form-data">';
echo 'Выберите скриншот:<br><input type="file" name="filename"/></br>';
echo '
<input type="submit" name="ok" value="Отправить" />
</form></div>';

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `arb` WHERE `komy` = '".$id."' and `prinyat` = '1'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$otzv = mysql_query("SELECT * FROM `arb` WHERE `komy` = '".$id."' and `prinyat` = '1'  ORDER BY `time` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($otzv))
{
echo '<div class="links">';
if($a['otzv'] == '1'){  echo '<img src="'.$HOME.'/images/plus.gif" alt="*" /> <b>отзыв</b>';}
elseif($a['otzv'] == '2'){ echo '<img src="'.$HOME.'/images/minus.gif" alt="*" /><b> претензия</b>';}
echo '<b></b> от '.nick($a['kto']).' ['.vremja($a['time']).']';

if($user['level'] >= 4) echo ' [<a href="'.$HOME.'/user/delarb.php?id='.$a['id'].'">удалить</a>]</br>';
echo ''.smile(bb($a['text'])).'';
if($a['file'])
{
echo '</br><a href="../files/arb/'.$a['file'].'"><img src="../files/arb/'.$a['file'].'" width="60" hight="60"/></a></div>';
}
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Данному мастеру ещё никто не оставлял отзывов/претензий!!</b></center></div>';
}

if ($k_page>1) {
echo str('arb'.$id.'?',$k_page,$page); // Вывод страниц
}

require_once ('../system/footer.php');
?>